org.bdgenomics.adam.serialization

# AvroSerializer

###
Related Doc: package serialization

#### class AvroSerializer[T <: SpecificRecord] extends Serializer[T]

Linear Supertypes
Serializer[T], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AvroSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AvroSerializer()(implicit arg0: ClassTag[T])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def copy(arg0: Kryo, arg1: T): T

   Definition Classes
     Serializer

7. #### val encoder: BinaryEncoder

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def getAcceptsNull(): Boolean

    Definition Classes
      Serializer

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### var in: InputStreamWithDecoder

15. #### def isImmutable(): Boolean

    Definition Classes
      Serializer

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val outstream: FastByteArrayOutputStream

21. #### def read(kryo: Kryo, kryoIn: Input, klazz: Class[T]): T

    Definition Classes
      AvroSerializer → Serializer

22. #### val reader: SpecificDatumReader[T]

23. #### def setAcceptsNull(arg0: Boolean): Unit

    Definition Classes
      Serializer

24. #### def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit

    Definition Classes
      Serializer

25. #### def setImmutable(arg0: Boolean): Unit

    Definition Classes
      Serializer

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def write(kryo: Kryo, kryoOut: Output, record: T): Unit

    Definition Classes
      AvroSerializer → Serializer

32. #### val writer: SpecificDatumWriter[T]

### Inherited from Serializer[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped